net.minecraft.client.renderer

## Class WorldRenderer

- java.lang.Object
- - net.minecraft.client.renderer.WorldRenderer

-     public class WorldRenderer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `chunkIndex`
    `static int` | `chunksUpdated`
    `int` | `glOcclusionQuery`
    `boolean` | `isChunkLit`
    `boolean` | `isInFrustum`
    `boolean` | `isVisible`
    `boolean` | `isWaitingOnOcclusionQuery`
    `boolean` | `needsUpdate`
    `int` | `posX`
    `int` | `posXClip`
    `int` | `posXMinus`
    `int` | `posXPlus`
    `int` | `posY`
    `int` | `posYClip`
    `int` | `posYMinus`
    `int` | `posYPlus`
    `int` | `posZ`
    `int` | `posZClip`
    `int` | `posZMinus`
    `int` | `posZPlus`
    `AxisAlignedBB` | `rendererBoundingBox`
    `boolean[]` | `skipRenderPass`
    `java.util.List` | `tileEntityRenderers`
    `World` | `worldObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorldRenderer(World par1World, java.util.List par2List, int par3, int par4, int par5, int par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `callOcclusionQueryList()`
    `float` | `distanceToEntitySquared(Entity par1Entity)`
    `int` | `getGLCallListForPass(int par1)`
    `void` | `markDirty()`
    `void` | `setDontDraw()`
    `void` | `setPosition(int par1, int par2, int par3)`
    `boolean` | `skipAllRenderPasses()`
    `void` | `stopRendering()`
    `void` | `updateInFrustum(ICamera par1ICamera)`
    `void` | `updateRenderer(EntityLivingBase p_147892_1_)`
    `void` | `updateRendererSort(EntityLivingBase p_147889_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### worldObj

          public World worldObj

    - #### chunksUpdated

          public static int chunksUpdated

    - #### posX

          public int posX

    - #### posY

          public int posY

    - #### posZ

          public int posZ

    - #### posXMinus

          public int posXMinus

    - #### posYMinus

          public int posYMinus

    - #### posZMinus

          public int posZMinus

    - #### posXClip

          public int posXClip

    - #### posYClip

          public int posYClip

    - #### posZClip

          public int posZClip

    - #### isInFrustum

          public boolean isInFrustum

    - #### skipRenderPass

          public boolean[] skipRenderPass

    - #### posXPlus

          public int posXPlus

    - #### posYPlus

          public int posYPlus

    - #### posZPlus

          public int posZPlus

    - #### needsUpdate

          public boolean needsUpdate

    - #### rendererBoundingBox

          public AxisAlignedBB rendererBoundingBox

    - #### chunkIndex

          public int chunkIndex

    - #### isVisible

          public boolean isVisible

    - #### isWaitingOnOcclusionQuery

          public boolean isWaitingOnOcclusionQuery

    - #### glOcclusionQuery

          public int glOcclusionQuery

    - #### isChunkLit

          public boolean isChunkLit

    - #### tileEntityRenderers

          public java.util.List tileEntityRenderers

  - ### Constructor Detail

    - #### WorldRenderer

          public WorldRenderer(World par1World,
                       java.util.List par2List,
                       int par3,
                       int par4,
                       int par5,
                       int par6)

  - ### Method Detail

    - #### setPosition

          public void setPosition(int par1,
                         int par2,
                         int par3)

    - #### updateRenderer

          public void updateRenderer(EntityLivingBase p_147892_1_)

    - #### updateRendererSort

          public void updateRendererSort(EntityLivingBase p_147889_1_)

    - #### distanceToEntitySquared

          public float distanceToEntitySquared(Entity par1Entity)

    - #### setDontDraw

          public void setDontDraw()

    - #### stopRendering

          public void stopRendering()

    - #### getGLCallListForPass

          public int getGLCallListForPass(int par1)

    - #### updateInFrustum

          public void updateInFrustum(ICamera par1ICamera)

    - #### callOcclusionQueryList

          public void callOcclusionQueryList()

    - #### skipAllRenderPasses

          public boolean skipAllRenderPasses()

    - #### markDirty

          public void markDirty()